summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
Diffstat (limited to 'tools')
-rwxr-xr-xtools/iscsidev.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/tools/iscsidev.sh b/tools/iscsidev.sh
new file mode 100755
index 000000000..6f5b572df
--- /dev/null
+++ b/tools/iscsidev.sh
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+# Copyright 2010 United States Government as represented by the
+# Administrator of the National Aeronautics and Space Administration.
+# All Rights Reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License"); you may
+# not use this file except in compliance with the License. You may obtain
+# a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+# License for the specific language governing permissions and limitations
+# under the License.
+
+# NOTE(vish): This script helps udev create common names for discovered iscsi
+# volumes under /dev/iscsi. To use it, create /dev/iscsi and add
+# a file to /etc/udev/rules.d like so:
+# mkdir /dev/iscsi
+# echo 'KERNEL=="sd*", BUS=="scsi", PROGRAM="/path/to/iscsidev.sh
+# %b",SYMLINK+="iscsi/%c%n"' > /etc/udev/rules.d/55-openiscsi.rules
+
+BUS=${1}
+HOST=${BUS%%:*}
+
+if [ ! -e /sys/class/iscsi_host ]; then
+ exit 1
+fi
+
+file="/sys/class/iscsi_host/host${HOST}/device/session*/iscsi_session*/session*/targetname"
+
+target_name=$(cat ${file})
+
+if [ -z "${target_name}" ]; then
+ exit 1
+fi
+
+echo "${target_name##*:}"